Bug 1082155 - [RFE][S-3] Common settings for appliances in the same zone should be inherited from the region [NEEDINFO]
Summary: [RFE][S-3] Common settings for appliances in the same zone should be inherite...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: MVP
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Tasos Papaioannou
URL:
Whiteboard: distributed:configuration
: 1153334 1285904 (view as bug list)
Depends On:
Blocks: 1288185 1555371 1590049
TreeView+ depends on / blocked
 
Reported: 2014-03-28 20:31 UTC by Jared Deubel
Modified: 2019-02-07 23:02 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:
myoder: needinfo? (jhardy)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Comment 2 Joe Rafaniello 2015-02-09 18:53:03 UTC
*** Bug 1153334 has been marked as a duplicate of this bug. ***

Comment 3 Jason Frey 2015-03-27 18:13:10 UTC
Just wanted to link the design doc I put together a while ago https://github.com/ManageIQ/guides/blob/master/proposals/configuration_redesign.md

Comment 4 Federico Simoncelli 2015-12-04 16:08:00 UTC
*** Bug 1285904 has been marked as a duplicate of this bug. ***

Comment 5 Jason Frey 2016-03-21 15:44:41 UTC
Phase one to modify the fundamentals of configuration in https://github.com/ManageIQ/manageiq/pull/7432 .  This does not implement region or zone level changes in itself, but opens up the possibility in a future work phase.

Comment 13 CFME Bot 2018-05-30 14:21:43 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/46fae8197075836547445c7d61e9b2ba4dfdb51b
commit 46fae8197075836547445c7d61e9b2ba4dfdb51b
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Tue May 29 14:35:57 2018 -0400
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Tue May 29 14:35:57 2018 -0400

    Move get_file and save_file to ConfigurationManagementMixin

    In moving, the methods become settings_for_resource_yaml and
    add_settings_for_resource_yaml, respectively.  The old interfaces are
    still left intact temporarily until the UI is changed to use the new
    methods.

    Also preserved is the special activation that is currently done for
    ntp_reload, as introduced in ManageIQ/manageiq@939524fa, which avoids
    repeated activation for every worker, instead preferring to do it once
    at the server level.

    https://bugzilla.redhat.com/show_bug.cgi?id=1082155

 app/models/miq_server/configuration_management.rb | 21 +-
 app/models/mixins/configuration_management_mixin.rb | 9 +
 lib/vmdb/config.rb | 17 +-
 lib/vmdb/settings.rb | 32 +-
 spec/lib/vmdb/config_spec.rb | 5 +-
 spec/lib/vmdb/settings_spec.rb | 83 +
 6 files changed, 146 insertions(+), 21 deletions(-)

Comment 14 CFME Bot 2018-05-31 16:05:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c1c0bdb55944af58189a76c87a678a33345b6adc
commit c1c0bdb55944af58189a76c87a678a33345b6adc
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon May 21 10:41:19 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon May 21 10:41:19 2018 -0400

    Ability to see/save Config settings for Region and Zone records.

    Exposed 'Advanced' tab for Region/Zone nodes.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1082155

 app/controllers/ops_controller/settings/common.rb | 35 +-
 app/helpers/ops_helper.rb | 19 +
 app/views/ops/_all_tabs.html.haml | 9 +
 app/views/ops/_settings_advanced_tab.html.haml | 5 +-
 spec/controllers/ops_controller/settings/common_spec.rb | 51 +-
 5 files changed, 103 insertions(+), 16 deletions(-)

Comment 15 Tasos Papaioannou 2018-07-11 17:23:58 UTC
Verified on 5.10.0.3.

Comment 17 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.